Bug 1185202 (CVE-2014-7923) - CVE-2014-7923 ICU: regexp engine missing look-behind expression range check
Summary: CVE-2014-7923 ICU: regexp engine missing look-behind expression range check
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-7923
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1190133 1185236 1185237 1190131 1190132
Blocks: 1185232 1186680
TreeView+ depends on / blocked
 
Reported: 2015-01-23 09:01 UTC by Martin Prpič
Modified: 2019-09-29 13:27 UTC (History)
7 users (show)

Fixed In Version: Chrome 40.0.2214.91
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-17 21:17:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0093 normal SHIPPED_LIVE Important: chromium-browser security update 2015-01-27 23:46:28 UTC

Description Martin Prpič 2015-01-23 09:01:52 UTC
An unspecified memory corruption flaw was found in the ICU component of the Chromium browser.

External References:

http://googlechromereleases.blogspot.com/2015/01/stable-update.html

Comment 2 Tomas Hoger 2015-01-23 12:13:54 UTC
Google Chrome bug is:

https://code.google.com/p/chromium/issues/detail?id=430353

However, the bug is currently not public.  However, the following commit can be identified using the bug id:

https://chromium.googlesource.com/chromium/deps/icu/+/3af4ce5982311035e5f36803d547c0befa576c8c

It covers two Chrome bugs, the other one is associated with CVE-2014-7926 also fixed in Chrome 40.0.2214.91.

The commit references ICU upstream bugs, which are also currently non-public.  ICU bug and commit links follow:

http://bugs.icu-project.org/trac/ticket/11369
http://bugs.icu-project.org/trac/changeset/36727
"Regex, fix incorrect optimization of patterns with a zero length quantifier {0}"

http://bugs.icu-project.org/trac/ticket/11370
http://bugs.icu-project.org/trac/changeset/36724
"Regex, add missing range check of length of a look-behind expression."

I do not currently see any information that would allow mapping the two ICU changes to Google Chrome CVEs.

Comment 3 errata-xmlrpc 2015-01-27 18:47:17 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:0093 https://rhn.redhat.com/errata/RHSA-2015-0093.html

Comment 7 Huzaifa S. Sidhpurwala 2015-01-29 08:47:40 UTC
(In reply to Tomas Hoger from comment #2)
> Google Chrome bug is:
> 
> https://code.google.com/p/chromium/issues/detail?id=430353
> 

As per the chrome bug, this was fixed upstream via:

http://bugs.icu-project.org/trac/ticket/11370
http://bugs.icu-project.org/trac/changeset/36724
"Regex, add missing range check of length of a look-behind expression."

Comment 10 Tomas Hoger 2015-02-06 19:43:23 UTC
Created mingw-icu tracking bugs for this issue:

Affects: fedora-all [bug 1190132]
Affects: epel-7 [bug 1190133]

Comment 11 Tomas Hoger 2015-02-06 19:43:26 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1190131]

Comment 12 Fedora Update System 2015-04-28 12:58:09 UTC
icu-50.1.2-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-28 12:58:42 UTC
icu-52.1-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-09-24 05:10:13 UTC
icu-54.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-13 17:03:10 UTC
icu-54.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.